Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class PropertySupport.Name

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node.Property
              org.openide.nodes.PropertySupport
                  org.openide.nodes.PropertySupport.Name

Enclosing class:
  PropertySupport

    public static final class PropertySupport.Name

extends PropertySupport

Support for the name property of a node. Delegates `setValue(java.lang.Object)` and `getValue()` to `Node.setName(java.lang.String)` and `FeatureDescriptor.getName()`.

(Final only for performance, can be unfinaled if desired).

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.nodes.PropertySupport
`PropertySupport.Name, PropertySupport.ReadOnly, PropertySupport.ReadWrite, PropertySupport.Reflection, PropertySupport.WriteOnly`

Constructor Summary
`PropertySupport.Name(Node node)` Create the name property for a node with the standard name and hint.
`PropertySupport.Name(Node node, String propName, String hint)` Create the name property for a node.

Method Summary
`Object` | `getValue()` Get the value.
`void` | `setValue(Object val)` Set the value.

Methods inherited from class org.openide.nodes.PropertySupport
`canRead, canWrite`

Methods inherited from class org.openide.nodes.Node.Property
`equals, getHtmlDisplayName, getPropertyEditor, getValueType, hashCode, isDefaultValue, restoreDefaultValue, supportsDefaultValue`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySupport.Name

    public PropertySupport.Name(Node node)

  Create the name property for a node with the standard name and hint.

  Parameters:
    `node` - the node

### PropertySupport.Name

    public PropertySupport.Name(Node node,
                                String propName,
                                String hint)

  Create the name property for a node.

  Parameters:
    `node` - the node
    `propName` - name of the "name" property
    `hint` - hint message for the "name" property

Method Detail

### getValue

    public Object getValue()
                    throws IllegalAccessException,
                           IllegalArgumentException,
                           InvocationTargetException

  Description copied from class: `Node.Property`
  Get the value.

  Specified by:
    `getValue` in class `Node.Property`
  Returns:
    the value of the property
  Throws:
    `IllegalAccessException` - cannot access the called method
    `InvocationTargetException` - an exception during invocation
    `IllegalArgumentException`

### setValue

    public void setValue(Object val)
                  throws IllegalAccessException,
                         IllegalArgumentException,
                         InvocationTargetException

  Description copied from class: `Node.Property`
  Set the value.

  Specified by:
    `setValue` in class `Node.Property`
  Parameters:
    `val` - the new value of the property
  Throws:
    `IllegalAccessException` - cannot access the called method
    `IllegalArgumentException` - wrong argument
    `InvocationTargetException` - an exception during invocation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.